AnsweredAssumed Answered

Where are the hidden planes?

Question asked by Troy Szatkowski on Dec 29, 2020
Latest reply on Dec 30, 2020 by Troy Szatkowski

I received a part file with some revolve features in which I will be writing solidworks automation for in C# but I'm running into an issue. Each sketch of a revolve feature is created on its own plane, but none are visible in the design tree. The only visible planes are the Front, Top, and Right. If I select one of the sketches, it shows the Plane is the root of the part. Where is the plane feature? Hide/Show planes is turned on. I searched everywhere I could think of. I even wrote a macro to analyze the selected sketch and plane data and it states the plane is visible, but as the image shows, they are not. What am I missing here?

 

 

Macro

Private Sub CheckSketchPlane()
  Dim swApp As SldWorks.SldWorks
  Dim swModel As SldWorks.ModelDoc2
  Dim swSelMgr As SldWorks.SelectionMgr
  Dim swSketchPlane As SldWorks.RefPlane
  Dim swSketchFeat As SldWorks.Feature
  Dim swPlaneFeat As SldWorks.Feature
  Dim swSketch As SldWorks.Sketch

 

  Set swApp = Application.SldWorks
  Set swModel = swApp.ActiveDoc
  Set swSelMgr = swModel.SelectionManager
  Set swSketchFeat = swSelMgr.GetSelectedObject6(1, -1)
  Set swSketch = swSketchFeat.GetSpecificFeature2
  Set swSketchPlane = swSketch.GetReferenceEntity(longstatus)
  Set swPlaneFeat = swSketchPlane

  Debug.Print "Reference Entity: " & longstatus
  Debug.Print "Type: " & swSelMgr.GetSelectedObjectType3(1, -1)
  Debug.Print "Type Name: " & swPlaneFeat.GetTypeName2
  Debug.Print "Feat Name: " & swPlaneFeat.Name
  Debug.Print "Visible: " & swPlaneFeat.Visible
End Sub

 

Immediate

Reference Entity: 4
Type: 9
Type Name: RefPlane
Feat Name: Plane10
Visible: 1

Outcomes